2023-09-25  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.17 released.

	* emacs-updater: The -e,--exact option of qfile no longer works in
	portage-utils-0.80 or later. The "exact package" functionality is
	now available with the -v,--verbose option (--verbose --quiet
	looks strange, but is not a contradiction here). Fixes bug 914479.

2019-08-30  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.16 released.

	* emacs-updater (action_rebuild): Drop the last component,
	i.e., the build number, from Emacs versions below 26 only.
	Fixes bug 693140.

2016-06-08  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: Update URLs to use https.

2016-06-07  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.15 released.

	* emacs-updater: Run qfile under xargs since portage-utils-0.61
	has lost the -f option. Fixes bug 584984. Enable the pipefail
	option in bash, in order to check qfile's exit status.

2014-06-05  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.14 released.

	* emacs-updater (GETOPT): New variable, path of getopt executable.

2014-05-19  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: Remove the sitedir action; site-init files are
	installed in the new location since 2007.
	(action_sitedir): Function removed.
	(usage): Update help text accordingly.
	* emacs-updater.8: Update.

2013-08-09  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (version): Update URI of Emacs project page.

2013-03-20  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.13 released.

2013-03-12  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: Exit with status 0 on success, 1 (or status of
	last command) on failure. Use bash syntax for tests throughout.

2013-03-11  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.12 released.

	* emacs-updater: Add sanity check for package manager options.

	* emacs-updater (OPTIONS): Make argument of the --colour option
	optional, for compatibility with ls.
	(usage): Update help text.
	* emacs-updater.8: Update.

	* Version 1.11 released.

2013-03-09  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (OPTIONS): New long option --colour=<yes|no|auto>,
	compatible with the same option in eselect. Spelling --color is
	recognised too.
	(COLOUR): Variable renamed from NOCOLOUR.
	(usage): Update help text.
	* emacs-updater.8: Describe --colour option, drop --nocolour.

	* emacs-updater: Remove unneccesary quoting.

2012-10-11  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.10 released.

	* Makefile (dist): Use xz for compression.

2012-10-08  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: Honour slots of installed packages, bug 436350.
	This requires qfile supporting the -S option, i.e. version 0.3
	or newer of portage-utils.

2011-08-24  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.9 released.

	* emacs-updater (action_rebuild): When comparing Emacs versions,
	ignore the last component, i.e. the local build number.

2011-04-06  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: With option --orphans, imply --action=all.
	* emacs-updater.8: Document it.

2011-01-05  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.8 released.

	* emacs-updater: Use wc instead of sed for line counting; the
	latter did not work for empty files. Postpone message that no
	packages have been found.

2010-11-27  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (have_paludis, pm_paludis): Use cave instead of
	paludis.

2010-11-09  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.7 released.

	* emacs-updater (pm_portage, pm_pkgcore): Don't specify options
	that are not strictly necessary. Fixes bug 344467.
	(PM_EXTRAOPTS): New variable, saves any additional options after
	the -- separator, so that they can be passed to the package
	manager later on.
	(OPTIONS): New option --batch|-b for non-interactive mode.
	(BATCH): New variable.
	(usage): Update help text.
	* emacs-updater.8: Describe new options.

2010-01-04  Christian Faulhammer  <fauli@gentoo.org>

	* emacs-updater (pm_portage): Add --keep-going option for user
	convenience

2009-08-27  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.6 released.

2009-08-25  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (OPTIONS): New options --major|-m, --orphans|-o,
	and --version.
	(MAJOR, ORPHANS): New variables.
	(version): New function.
	(usage): Update help text.
	* emacs-updater.8: Describe new options.

2009-08-09  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (OPTIONS): New option --package-manager-command.
	(usage): Update help text.
	* emacs-updater.8: Update.

2009-06-04  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.5 released.

	* emacs-updater (pm_auto): Try to determine the package manager
	from the PACKAGE_MANAGER environment variable first.
	* emacs-updater.8: Document it.

2009-05-24  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (emacs_version, bytecomp_version): Rename, in
	order to avoid hyphens in function identifiers.

2009-04-14  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.4 released.

	* emacs-updater (usage): American English spelling for --nocolor
	option is also accepted.
	* emacs-updater.8: Update.

2009-04-13  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (RED, GREEN, YELLOW, BLUE, MAGENTA, CYAN):
	Change initialisation, since POSIX tput has no -S option.
	(bytecomp-version): Use POSIX syntax in sed expression.

2009-04-11  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (have_portage, have_pkgcore, have_paludis):
	New functions, return true if respective package manager exists.
	(pm_auto, have_auto): New function, find a package manager.
	(PM_COMMAND): Default to pm_auto.
	Test if package manager selected by -P option actually exists.

2009-03-22  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (action_sitedir): 00site-gentoo.el should not
	exist any more. Treat it like a normal file.

2009-01-18  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.3 released.

2009-01-09  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (EMACS): New variable, path of Emacs executable.
	(emacs-version): Use it.

2008-12-30  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.2 released.

2008-12-19  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater.8: Formatting changes. Remove superfluous quotes.

2008-11-11  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (bytecomp-version): New function.

2008-11-04  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.1 released.

	* Makefile (DISTFILES): Add man page.

	* emacs-updater.8: Describe --exact option.

2008-10-31  Christian Faulhammer  <opfer@gentoo.org>

	* emacs-updater (TMPFILE, PKGFILE): Respect TMPDIR variable from
	environment

2008-09-18  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater.8: New file: man page.

2008-09-12  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (NOCOLOUR, PRETEND): Assign empty default values.
	Likewise for colours.
	(OPTIONS, EXACT): Add new --exact|-e option and variable.
	(usage): Update.

2008-09-04  Ulrich Müller  <ulm@gentoo.org>

	* Version 1.0 released.

2008-08-30  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (TMPFILE, PKGFILE): Create after the cleanup trap,
	to avoid leftover temporary files.

2008-08-29  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: No need to check for programs since we have
	proper dependencies now.

	* Makefile: New file.

2008-08-21  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (action_sitedir, action_rebuild, action_all):
	Functions renamed from "obsolete_location", "rebuild", and
	"rebuild_all", respectively. Likewise for -a arguments.
	(action_rebuild): Add ROOT and quote properly.
	(usage): Update.

2008-08-19  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: Change syntax of -a option, use comma-separated
	list instead of multiple -a options.
	(ACTIONS): Change default to "obsolete_location rebuild".
	(usage): Update accordingly.

2008-08-13  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: Support alternative package managers.
	(OPTIONS): Add --package-manager|-P option.
	(PM_COMMAND): New variable.
	(pm_portage, pm_pkgcore, pm_paludis): New wrapper functions.
	(usage): Update help text. Order options alphabetically.

2008-08-12  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater (rebuild): Skip files if they were byte-compiled
	by the active Emacs version, unless option "all" is specified.
	(rebuild_all): New function, just a wrapper.
	(usage): Change help text accordingly.
	(emacs-version): New function.
	(cleanup): New function, trap on exit.
	(ACTIONS): New variable. Allow to specify more than one action.
	(obsolete_location): Set nullglob shell option.
	Call qfile only once to improve performance.

2008-07-10  Christian Faulhammer  <opfer@gentoo.org>

	* emacs-updater: Add --action|-a option which let's you choose
	between finding packages in an obsolete location or rebuilding all
	packages with .elc files in the ${SITELISP} directory
	raise version to 0.7

	* emacs-updater: canonify exit codes and remove some ambiguities

2008-02-29  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: Check for getopt exit status. Add usage function.

2008-02-25  Christian Faulhammer  <opfer@gentoo.org>

	* emacs-updater: Number of packages that need a remerge is
	calculated and displayed

2008-02-22  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: Use tput instead of hardcoded escape sequences.
	Add standard copyright notice. Change version to 0.5.

2008-02-03  Christian Faulhammer  <opfer@gentoo.org>

	* emacs-updater: Move informational message to the top, so it is
	always displayed
	Add options: --help|-h, --pretend|-p and --no-colour|-n, which do
	what their names suggest

2007-12-29  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: Remove warning; the eclasses are official now.
	Change version to 0.3.

2007-12-14  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater: Use long options for emerge.
	Add --oneshot in order to keep the world file tidy.

2007-12-14  Christian Faulhammer  <opfer@gentoo.org>

	* emacs-updater: rename file (remove .sh suffix)

2007-12-12  Christian Faulhammer  <opfer@gentoo.org>

	* emacs-updater.sh: Add ulm as author

2007-12-12  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater.sh: Make "Processing" message more informative.
	Don't ask users to report all rebuilt packages as bugs.
	Break some long lines.
	Ignore auxiliary file 00site-gentoo.el.

2007-12-06  Ulrich Müller  <ulm@gentoo.org>

	* emacs-updater.sh: Test for existence of non-empty temp file;
	cat may fail if the file does not exist.

2007-11-30  Christian Faulhammer  <opfer@gentoo.org>

	* emacs-updater.sh: Only set colours if output is not redirected,
	proposed by ulm
	Remove empty line display in message(), warning() and failure()
	for optical reasons
	Format output with some more empty lines
	Add URL for Emacs Project homepage to header

2007-11-29  Christian Faulhammer  <opfer@gentoo.org>

	* emacs-updater.sh: Remove OFF "colour", because NORMAL does the
	same and is actually used
	Increase version number to 0.2
	Head information reformatted with normal echo without pretty
	output, adding author info
	Quit message uses warning() instead of message()

2007-11-28  Christian Faulhammer  <opfer@gentoo.org>

	* emacs-updater.sh (TMPFILE): Change TMPFILE name to updater
	instead of cleaner
	message(), warning(), failure(): Introduce new functions to
	display text
	define colors for console output and use them

2007-11-27  Christian Faulhammer  <opfer@gentoo.org>

	* emacs-updater.sh: first version of Emacs updater

Distributed under the terms of the GNU General Public License v2 or later
